net.i2p.router.message

## Class GarlicMessageParser

- java.lang.Object
- - net.i2p.router.message.GarlicMessageParser

     class GarlicMessageParser
    extends Object

Read a GarlicMessage, decrypt it, and return the resulting CloveSet

### Constructor Summary

Constructors
Constructor and Description
`GarlicMessageParser(RouterContext context)`

### Method Summary

Methods
`CloveSet` `getGarlicCloves(GarlicMessage message, PrivateKey encryptionKey, SessionKeyManager skm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GarlicMessageParser

    public GarlicMessageParser(RouterContext context)

### Method Detail

#### getGarlicCloves

    public CloveSet getGarlicCloves(GarlicMessage message,
                           PrivateKey encryptionKey,
                           SessionKeyManager skm)

Parameters:
  `skm` - use tags from this session key manager